Subject: RE: Compiling apps to Mingw32 with cygwin
From: "Jon Leichter" <[email-masked]>
To: "J. Henning Schwentner" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 6 Jan 2002 09:53:34 -0800

For the most part, I agree with you. Autoconf and Libtool should be fixed.
The motto of the groups seems to be: "patches gratefully accepted". Thus,
unless you, me, or someone else that uses Cygwin GCC for MinGW wants to make
these changes, I wouldn't count on them coming around any time soon.

One other point: AFAIK, the cross-compiling feature of autoconf,
i.e. --host, --build, --target, is not an automated feature. That is, it's
up to the configure.in script writer to use these switches appropriately. I
have ran many configure scripts in the Cygwin environment. I have just about
never seen a configure script use these switches correctly (where
"correctly" is based on the definition of these switches in the autoconf
documentation). Thus, for this issue, you can't look for a "fix" in
autoconf. It's about configure.in script writers doing the right thing.
This, of course, means that there must be a separate "fix" for each project
that is not doing the right thing.

Of course, if a script that you're using is coming out of a OpenSource
project, then again, one is free to supply patches...

Jon

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of J. Henning Schwentner
> Sent: Sunday, January 06, 2002 5:57 AM
> To: [email-masked]
> Subject: Re: Compiling apps to Mingw32 with cygwin
>
> Thanks for your quick help, this works nice!
>
> But, it is a bit difficult. I think ideally configure should detect
> --host=mingw32 --build=cygwin and in this case should add --mno-cygwin to
> CFLAGS and CPPFLAGS (and do something to fix libtool).
>
> I am not sure if this is a bit off topic, maybe this sould be
> posted to the
> autoconf list.
>
> Regards,
> Henning
>
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/